"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
module.exports = void 0;
var _utils = require("./utils/index.cjs");
var _lruCache = _interopRequireDefault(require("lru-cache"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
var _default = (0, _utils.defineDriver)(opts => {
  const cache = new _lruCache.default({
    ...opts,
    maxSize: 500
  });
  return {
    hasItem(key) {
      return cache.has(key);
    },
    getItem(key) {
      return cache.get(key) || null;
    },
    getItemRaw(key) {
      return cache.get(key) || null;
    },
    setItem(key, value) {
      cache.set(key, value);
    },
    setItemRaw(key, value) {
      cache.set(key, value);
    },
    removeItem(key) {
      cache.delete(key);
    },
    getKeys() {
      return Array.from(cache.keys());
    },
    clear() {
      cache.clear();
    },
    dispose() {
      cache.clear();
    }
  };
});
module.exports = _default;